module SplitApi
  class Client
    attr_reader :attributes, :environments, :identities, :traffic_types

    def initialize(params)
      @config = SplitApi::Config.new(params)

      @attributes = SplitApi::Models::Attributes.new(@config)
      @environments = SplitApi::Models::Environments.new(@config)
      @identities = SplitApi::Models::Identities.new(@config)
      @traffic_types = SplitApi::Models::TrafficTypes.new(@config)
    end
  end
end
