module SplitApi
  class Config
    DEFAULT_URI = 'https://api.split.io/internal/api/v1'.freeze

    # Base URI for the API
    attr_reader :base_uri
    # API key to authorize API requests
    attr_reader :api_key

    def initialize(opts)
      @base_uri = (opts[:base_uri] || DEFAULT_URI).chomp('/')
      @api_key = opts[:api_key]
    end
  end
end
